# -*- coding: utf-8 -*-
import json
import datetime


class JSONEncoder(json.JSONEncoder):
    """格式化时间格式"""

    def default(self, obj):
        if isinstance(obj, datetime.datetime):
            return obj.strftime('%Y-%m-%d %H:%M:%S')

        elif isinstance(obj, datetime.date):
            return obj.strftime("%Y-%m-%d")

        else:
            return json.JSONEncoder.default(self, obj)
